Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5117)
@@ -8,80 +8,80 @@
        u, t_ocean_1, s1, rain, hf, hlb, rnl, tau, rhoa, xlv, rf, dtime, rns)
 
-    use config_ocean_skin_m, ONLY: jwarm, jcool, rain_effect
-    use Microlayer_m, ONLY: Microlayer
-    use mom_flux_rain_m, ONLY: mom_flux_rain
-    use Near_Surface_m, ONLY: Near_Surface, depth
-    use therm_expans_m, ONLY: therm_expans
+    USE config_ocean_skin_m, ONLY: jwarm, jcool, rain_effect
+    USE Microlayer_m, ONLY: Microlayer
+    USE mom_flux_rain_m, ONLY: mom_flux_rain
+    USE Near_Surface_m, ONLY: Near_Surface, depth
+    USE therm_expans_m, ONLY: therm_expans
 
-    real, intent(out):: tkt(:)
+    REAL, INTENT(OUT):: tkt(:)
     ! thickness of cool skin (microlayer), in m
 
-    real, intent(out):: tks(:)
+    REAL, INTENT(OUT):: tks(:)
     ! thickness of mass diffusion layer (microlayer), in m
 
-    real, intent(out):: taur(:) ! momentum flux due to rain, in Pa
+    REAL, INTENT(OUT):: taur(:) ! momentum flux due to rain, in Pa
 
-    real, intent(out):: dter(:)
+    REAL, INTENT(OUT):: dter(:)
     ! Temperature variation in the diffusive microlayer, that is
     ! ocean-air interface temperature minus subskin temperature. In K.
 
-    real, intent(out):: dser(:)
+    REAL, INTENT(OUT):: dser(:)
     ! Salinity variation in the diffusive microlayer, that is ocean-air
     ! interface salinity minus subskin salinity. In ppt.
 
-    real, intent(out):: t_int(:) ! interface temperature, in K
-    real, intent(out):: s_int(:) ! interface salinity, in ppt
+    REAL, INTENT(OUT):: t_int(:) ! interface temperature, in K
+    REAL, INTENT(OUT):: s_int(:) ! interface salinity, in ppt
 
-    real, intent(inout):: ds_ns(:)
+    REAL, INTENT(INOUT):: ds_ns(:)
     ! "delta salinity near surface". Salinity variation in the
     ! near-surface turbulent layer. That is subskin salinity minus
     ! foundation salinity. In ppt.
 
-    real, intent(inout):: dt_ns(:)
+    REAL, INTENT(INOUT):: dt_ns(:)
     ! "delta temperature near surface". Temperature variation in the
     ! near-surface turbulent layer. That is subskin temperature minus
     ! foundation temperature. (Can be negative.) In K.
 
-    real, intent(in):: u(:)
+    REAL, INTENT(IN):: u(:)
     ! Wind speed relative to the sea surface, i. e. taking current
     ! vector into account. In m s-1.
 
-    real, intent(in):: t_ocean_1(:) ! input sea temperature, at depth_1, in K
-    real, intent(in):: S1(:) ! salinity at depth_1, in ppt
+    REAL, INTENT(IN):: t_ocean_1(:) ! input sea temperature, at depth_1, in K
+    REAL, INTENT(IN):: S1(:) ! salinity at depth_1, in ppt
 
-    real, intent(in):: rain(:)
+    REAL, INTENT(IN):: rain(:)
     ! rain mass flux, averaged on a timestep, in kg m-2 s-1
 
-    real, intent(in):: hf(:)
+    REAL, INTENT(IN):: hf(:)
     !  turbulent part of sensible heat flux, positive upward, in W m-2
 
-    real, intent(in):: hlb(:)
+    REAL, INTENT(IN):: hlb(:)
     ! latent heat flux at the surface, positive upward (W m-2)
 
-    real, intent(in):: rnl(:)
+    REAL, INTENT(IN):: rnl(:)
     ! net longwave radiation, positive upward, in W m-2
 
-    real, intent(in):: tau(:)
+    REAL, INTENT(IN):: tau(:)
     ! wind stress at the surface, turbulent part only, in Pa
     
-    real, intent(in):: rhoa(:) ! density of moist air  (kg / m3)
-    real, intent(in):: xlv(:) ! latent heat of evaporation (J / kg)
+    REAL, INTENT(IN):: rhoa(:) ! density of moist air  (kg / m3)
+    REAL, INTENT(IN):: xlv(:) ! latent heat of evaporation (J / kg)
 
-    real, intent(in):: rf(:)
+    REAL, INTENT(IN):: rf(:)
     ! sensible heat flux at the surface due to rainfall, in W m-2,
     ! positive upward
 
-    real, intent(in):: dtime ! time step, in s
-    real, intent(in):: rns(:) ! net downward shortwave radiation, in W m-2
+    REAL, INTENT(IN):: dtime ! time step, in s
+    REAL, INTENT(IN):: rns(:) ! net downward shortwave radiation, in W m-2
 
     ! Local:
     
-    real al(size(t_ocean_1)) ! water thermal expansion coefficient (in K-1)
-    real dels(size(t_ocean_1)), null_array(size(t_ocean_1))
-    integer iter
-    real t_subskin(size(t_ocean_1)) ! subskin temperature, in K
-    real s_subskin(size(t_ocean_1)) ! subskin salinity, in ppt
+    REAL al(size(t_ocean_1)) ! water thermal expansion coefficient (in K-1)
+    REAL dels(size(t_ocean_1)), null_array(size(t_ocean_1))
+    INTEGER iter
+    REAL t_subskin(size(t_ocean_1)) ! subskin temperature, in K
+    REAL s_subskin(size(t_ocean_1)) ! subskin salinity, in ppt
 
-    real, parameter:: fxp = 1. - (0.28 * 0.014 &
+    REAL, parameter:: fxp = 1. - (0.28 * 0.014 &
          + 0.27 * 0.357 * (1. - exp(- depth / 0.357)) &
          + .45 * 12.82 * (1.- exp(- depth / 12.82))) / depth
@@ -90,22 +90,22 @@
     ! H. Bellenger 2016
 
-    real tau_with_min(size(t_ocean_1))
+    REAL tau_with_min(size(t_ocean_1))
     ! modified wind stress, avoiding very low values
     
-    real, parameter:: tau_0 = 1e-3 ! in N m-2
+    REAL, parameter:: tau_0 = 1e-3 ! in N m-2
 
     !-------------------------------------------------------------------
 
-    if (rain_effect) THEN
+    IF (rain_effect) THEN
        taur = mom_flux_rain(u, rain)
     else
-       if (jwarm .or. jcool) null_array = 0.
+       IF (jwarm .OR. jcool) null_array = 0.
        taur = 0.
     end if
 
-    if (jwarm .or. jcool) tau_with_min = tau + tau_0 * (1. - exp(- tau_0 / tau))
+    IF (jwarm .OR. jcool) tau_with_min = tau + tau_0 * (1. - exp(- tau_0 / tau))
 
-    if (Jwarm) THEN
-       if (rain_effect) THEN
+    IF (Jwarm) THEN
+       IF (rain_effect) THEN
           CALL Near_Surface(al, t_subskin, s_subskin, ds_ns, dt_ns, &
                tau_with_min, taur, hlb, rhoa, xlv, dtime, t_ocean_1, s1, rain, &
@@ -117,10 +117,10 @@
        end if
     else
-       if (Jcool) al = therm_expans(t_ocean_1)
+       IF (Jcool) al = therm_expans(t_ocean_1)
        t_subskin = t_ocean_1
        s_subskin = s1
     end if
 
-    if (Jcool) THEN
+    IF (Jcool) THEN
        ! First guess:
        tkt = 0.001
@@ -131,5 +131,5 @@
           dels = rns * (0.065 + 11. * tkt - 6.6e-5 / tkt &
                * (1. - exp(- tkt / 8e-4))) ! equation 16 Ohlmann
-          if (rain_effect) THEN
+          IF (rain_effect) THEN
              CALL Microlayer(dter, dser, tkt, tks, hlb, tau_with_min, &
                   s_subskin, al, xlv, taur, rf, rain, &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/config_ocean_skin_m.F90	(revision 5117)
@@ -7,5 +7,5 @@
   logical, protected:: rain_effect
 
-  real, protected:: depth_1 = 20.
+  REAL, protected:: depth_1 = 20.
   ! Depth at which the temperature and salinity are input. Could be
   ! the depth of a sensor, or the depth at the middle of the first
@@ -18,5 +18,5 @@
 
 #ifdef IN_LMDZ
-  integer, protected:: activate_ocean_skin = 0
+  INTEGER, protected:: activate_ocean_skin = 0
   ! Allowed values: 0 do not activate; 1 activate without retroaction
   ! on LMDZ; 2 activate with retroaction on LMDZ
@@ -30,9 +30,9 @@
 
 #ifdef IN_LMDZ
-    use lmdz_ioipsl_getin_p, ONLY: getin_p
-    use lmdz_assert, ONLY: assert
+    USE lmdz_ioipsl_getin_p, ONLY: getin_p
+    USE lmdz_assert, ONLY: assert
 #endif
 
-    integer:: flag_ocean_skin = 3
+    INTEGER:: flag_ocean_skin = 3
     !$omp threadprivate(flag_ocean_skin)
     
@@ -43,7 +43,7 @@
 #ifdef IN_LMDZ
     CALL getin_p("activate_ocean_skin", activate_ocean_skin)
-    CALL assert(activate_ocean_skin >= 0 .and. activate_ocean_skin <= 2, &
+    CALL assert(activate_ocean_skin >= 0 .AND. activate_ocean_skin <= 2, &
          "config_ocean_skin bad value of activate_ocean_skin")
-    if (activate_ocean_skin >= 1) THEN
+    IF (activate_ocean_skin >= 1) THEN
        CALL getin_p("flag_ocean_skin", flag_ocean_skin)
        CALL getin_p("depth_1", depth_1)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/const.F90	(revision 5117)
@@ -3,5 +3,5 @@
   IMPLICIT NONE
 
-  real, parameter :: beta = 0.756 / 1023.343
+  REAL, parameter :: beta = 0.756 / 1023.343
   ! Salinity expansion coefficient. Derivative with respect to
   ! practical salinity, not mass fraction of salt. Value at 25 Celsius
@@ -9,17 +9,17 @@
   ! k0829, table A.3.1).
 
-  real, parameter :: cpa = 1004.67
+  REAL, parameter :: cpa = 1004.67
   ! specific heat of dry air, in J / kg / K (Businger 1982)
 
-  real, parameter :: cpw = 4000. ! specific heat of liquid water, in J / kg / K
-  real, parameter :: grav = 9.780326772 ! constante de gravitation, m s-2
-  real, parameter :: rhow = 1022. ! density of liquid water, in kg / m3
+  REAL, parameter :: cpw = 4000. ! specific heat of liquid water, in J / kg / K
+  REAL, parameter :: grav = 9.780326772 ! constante de gravitation, m s-2
+  REAL, parameter :: rhow = 1022. ! density of liquid water, in kg / m3
 
-  real, parameter :: rgas = 287.1
+  REAL, parameter :: rgas = 287.1
   ! specific ideal gas constant for dry air, in J / kg / K
 
-  real, parameter :: von = 0.4 ! von Karman's "constant"
+  REAL, parameter :: von = 0.4 ! von Karman's "constant"
 
-  real, parameter :: eps_w = 0.62197
+  REAL, parameter :: eps_w = 0.62197
   ! molecular mass of water over molecular mass of dry air (Gill 1982
   ! k0829, equation 3.1.13)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/esat_m.F90	(revision 5117)
@@ -10,6 +10,6 @@
     ! J. Appl. Meteor. 20, 1527-1532, equation (8).
 
-    real, intent(in):: T ! temperature, in K
-    real, intent(in):: P ! air pressure, in Pa
+    REAL, INTENT(IN):: T ! temperature, in K
+    REAL, INTENT(IN):: P ! air pressure, in Pa
 
     !--------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/fv_m.F90	(revision 5117)
@@ -9,20 +9,20 @@
     ! H. Bellenger 2016
 
-    real, intent(in):: z ! profondeur en m (z < 0)
-    real, intent(in):: rain ! rain mass flux, in kg m-2 s-1
+    REAL, INTENT(IN):: z ! profondeur en m (z < 0)
+    REAL, INTENT(IN):: rain ! rain mass flux, in kg m-2 s-1
 
     ! Local:
 
-    real dfV
+    REAL dfV
     ! fraction of rain volume entering the ocean and deposited within depth "z"
 
-    real rc, lbd, f0
-    real z_mm
+    REAL rc, lbd, f0
+    REAL z_mm
 
     ! Schlussel et al. 1997, Table 1:
-    real, parameter:: zeta(14) = [0.0026091, 0.0022743, 0.0015406, 0.0012281, &
+    REAL, parameter:: zeta(14) = [0.0026091, 0.0022743, 0.0015406, 0.0012281, &
          0.0008795, 0.00077123, 0.00057451, 0.000438, 6.7228e-5, 6.4955e-5, &
          4.4234e-5, 3.3906e-5, 2.7433e-6, 4.0283e-7]
-    real, parameter:: psi(14) = [0.60107, 0.29968, 0.5563, 1.80858, 0.2175, &
+    REAL, parameter:: psi(14) = [0.60107, 0.29968, 0.5563, 1.80858, 0.2175, &
          0.33961, 0.96368, 0.65081, 0.5967, 2.7661, 2.2812, 2.7674, 2.6095, &
          6.5308]
@@ -30,5 +30,5 @@
     !---------------------------------------------------------------------
 
-    if (rain > 0.) THEN
+    IF (rain > 0.) THEN
        rc = 0.4 ! mm
        z_mm = z * 1000. ! mm and <0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/microlayer_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/microlayer_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/microlayer_m.F90	(revision 5117)
@@ -10,52 +10,52 @@
     ! H. Bellenger 2016
 
-    use const, ONLY: beta, cpw, grav, rhow
-    use fv_m, ONLY: fv
+    USE const, ONLY: beta, cpw, grav, rhow
+    USE fv_m, ONLY: fv
 
-    real, intent(out):: dter(:)
+    REAL, INTENT(OUT):: dter(:)
     ! Temperature variation in the diffusive microlayer, that is
     ! ocean-air interface temperature minus subskin temperature. In K.
 
-    real, intent(out):: dser(:)
+    REAL, INTENT(OUT):: dser(:)
     ! Salinity variation in the diffusive microlayer, that is ocean-air
     ! interface salinity minus subskin salinity. In ppt.
 
-    real, intent(inout):: tkt(:)
+    REAL, INTENT(INOUT):: tkt(:)
     ! thickness of cool skin (microlayer), in m
 
-    real, intent(inout):: tks(:)
+    REAL, INTENT(INOUT):: tks(:)
     ! thickness of mass diffusion layer (microlayer), in m
 
-    real, intent(in):: hlb(:)
+    REAL, INTENT(IN):: hlb(:)
     ! latent heat flux at the surface, positive upward (W m-2)
 
-    real, intent(in):: tau(:) ! wind stress, turbulent part only, in Pa
-    real, intent(in):: s_subskin(:) ! subskin salinity, in ppt
-    real, intent(in):: al(:) ! water thermal expansion coefficient (in K-1)
-    real, intent(in):: xlv(:) ! latent heat of evaporation (J/kg)
-    real, intent(in):: taur(:) ! momentum flux due to rainfall, in Pa
+    REAL, INTENT(IN):: tau(:) ! wind stress, turbulent part only, in Pa
+    REAL, INTENT(IN):: s_subskin(:) ! subskin salinity, in ppt
+    REAL, INTENT(IN):: al(:) ! water thermal expansion coefficient (in K-1)
+    REAL, INTENT(IN):: xlv(:) ! latent heat of evaporation (J/kg)
+    REAL, INTENT(IN):: taur(:) ! momentum flux due to rainfall, in Pa
 
-    real, intent(in):: rf(:)
+    REAL, INTENT(IN):: rf(:)
     ! sensible heat flux at the surface due to rainfall, in W m-2
 
-    real, intent(in):: rain(:) ! rain mass flux, in kg m-2 s-1
+    REAL, INTENT(IN):: rain(:) ! rain mass flux, in kg m-2 s-1
 
-    real, intent(in):: qcol(:)
+    REAL, INTENT(IN):: qcol(:)
     ! net flux at the surface, without sensible heat flux due to rain, in W m-2
 
     ! Local:
 
-    real, dimension(size(qcol)):: usrk, usrct, usrcs, alq
-    real xlamx(size(qcol)) ! Saunders coefficient
-    real, parameter:: visw = 1e-6
-    real, parameter:: tcw = 0.6 ! thermal conductivity of water
+    REAL, DIMENSION(size(qcol)):: usrk, usrct, usrcs, alq
+    REAL xlamx(size(qcol)) ! Saunders coefficient
+    REAL, parameter:: visw = 1e-6
+    REAL, parameter:: tcw = 0.6 ! thermal conductivity of water
 
-    real, parameter:: mu = 0.0129e-7 ! in m2 / s
+    REAL, parameter:: mu = 0.0129e-7 ! in m2 / s
     ! molecular salinity diffusivity, Kraus and Businger, page 47
 
-    real, parameter:: kappa = 1.49e-7 ! thermal diffusivity, in m2 / s
+    REAL, parameter:: kappa = 1.49e-7 ! thermal diffusivity, in m2 / s
 
-    real, parameter:: afk = 4e-4
-    real, parameter:: bfk = 1.3
+    REAL, parameter:: afk = 4e-4
+    REAL, parameter:: bfk = 1.3
     ! a and b coefficient for the power function fitting the TKE flux 
     ! carried by rain:  Fk = a * R**b, derived form the exact solution
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/mom_flux_rain_m.F90	(revision 5117)
@@ -9,8 +9,8 @@
     ! Computes momentum flux due to rainfall, in Pa.
 
-    real, intent(in):: U
+    REAL, INTENT(IN):: U
     ! difference of velocity between air and sea, including gustiness, in m / s
 
-    real, intent(in):: rain ! rain mass flux, in kg m-2 s-1
+    REAL, INTENT(IN):: rain ! rain mass flux, in kg m-2 s-1
 
     !------------------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/near_surface_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/near_surface_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/near_surface_m.F90	(revision 5117)
@@ -3,5 +3,5 @@
   Implicit none
 
-  real, parameter:: depth = 3.
+  REAL, parameter:: depth = 3.
   ! diurnal warm layer and fresh water lens depth, in m (Zeng and Beljaars 2005)
 
@@ -13,36 +13,36 @@
     ! Hugo Bellenger, 2016
 
-    use config_ocean_skin_m, ONLY: depth_1
-    use const, ONLY: beta, cpw, grav, rhow, von
-    use Phiw_m, ONLY: Phiw
-    use therm_expans_m, ONLY: therm_expans
+    USE config_ocean_skin_m, ONLY: depth_1
+    USE const, ONLY: beta, cpw, grav, rhow, von
+    USE Phiw_m, ONLY: Phiw
+    USE therm_expans_m, ONLY: therm_expans
 
-    real, intent(out):: al(:) ! water thermal expansion coefficient (in K-1)
-    real, intent(out):: t_subskin(:) ! subskin temperature, in K
-    real, intent(out):: s_subskin(:) ! subskin salinity, in ppt
+    REAL, INTENT(OUT):: al(:) ! water thermal expansion coefficient (in K-1)
+    REAL, INTENT(OUT):: t_subskin(:) ! subskin temperature, in K
+    REAL, INTENT(OUT):: s_subskin(:) ! subskin salinity, in ppt
 
-    real, intent(inout):: ds_ns(:)
+    REAL, INTENT(INOUT):: ds_ns(:)
     ! "delta salinity near surface". Salinity variation in the
     ! near-surface turbulent layer. That is subskin salinity minus
     ! foundation salinity. In ppt.
 
-    real, intent(inout):: dt_ns(:)
+    REAL, INTENT(INOUT):: dt_ns(:)
     ! "delta temperature near surface". Temperature variation in the
     ! near-surface turbulent layer. That is subskin temperature minus
     ! foundation temperature. (Can be negative.) In K.
 
-    real, intent(in):: tau(:)
+    REAL, INTENT(IN):: tau(:)
     ! wind stress at the surface, turbulent part only, in Pa
 
-    real, intent(in):: taur(:) ! momentum flux due to rainfall, in Pa
-    real, intent(in):: hlb(:) ! latent heat flux, turbulent part only, in W / m2
-    real, intent(in):: rhoa(:) ! density of moist air  (kg / m3)
-    real, intent(in):: xlv(:) ! latent heat of evaporation (J/kg)
-    real, intent(in):: dtime ! time step (s)
-    real, intent(in):: t_ocean_1(:) ! input sea temperature, at depth_1, in K
-    real, intent(in):: S1(:) ! salinity at depth_1, in ppt
-    real, intent(in):: rain(:) ! rain mass flux, in kg m-2 s-1
+    REAL, INTENT(IN):: taur(:) ! momentum flux due to rainfall, in Pa
+    REAL, INTENT(IN):: hlb(:) ! latent heat flux, turbulent part only, in W / m2
+    REAL, INTENT(IN):: rhoa(:) ! density of moist air  (kg / m3)
+    REAL, INTENT(IN):: xlv(:) ! latent heat of evaporation (J/kg)
+    REAL, INTENT(IN):: dtime ! time step (s)
+    REAL, INTENT(IN):: t_ocean_1(:) ! input sea temperature, at depth_1, in K
+    REAL, INTENT(IN):: S1(:) ! salinity at depth_1, in ppt
+    REAL, INTENT(IN):: rain(:) ! rain mass flux, in kg m-2 s-1
 
-    real, intent(in):: q_pwp(:)
+    REAL, INTENT(IN):: q_pwp(:)
     ! net flux absorbed by the warm layer (part of the solar flux
     ! absorbed at "depth"), minus surface fluxes, in W m-2
@@ -50,27 +50,27 @@
     ! Local:
 
-    real, parameter:: khor = 1. / 1.5e4
+    REAL, parameter:: khor = 1. / 1.5e4
     ! Parameter for the lens spread, in m-1. Inverse of the size of
     ! the lens.
 
-    real, parameter:: umax = 15.
-    real, parameter:: fact = 1.
-    real buoyf(size(t_ocean_1)) ! buoyancy flux
-    real usrc(size(t_ocean_1))
-    real drho(size(t_ocean_1)) ! rho(- delta) - rho(- d)
-    real Lmo(size(t_ocean_1)) ! Monin-Obukhov length
+    REAL, parameter:: umax = 15.
+    REAL, parameter:: fact = 1.
+    REAL buoyf(size(t_ocean_1)) ! buoyancy flux
+    REAL usrc(size(t_ocean_1))
+    REAL drho(size(t_ocean_1)) ! rho(- delta) - rho(- d)
+    REAL Lmo(size(t_ocean_1)) ! Monin-Obukhov length
 
-    real u(size(t_ocean_1))
+    REAL u(size(t_ocean_1))
     ! Wind speed at 15 m relative to the sea surface, i. e. taking
     ! current vector into account. In m s-1.
 
-    real, dimension(size(t_ocean_1)):: At, Bt, As, Bs, correction
+    REAL, DIMENSION(size(t_ocean_1)):: At, Bt, As, Bs, correction
 
-    real eta(size(t_ocean_1))
+    REAL eta(size(t_ocean_1))
     ! exponent in the function giving T(z) and S(z), equation (11) in
     ! Bellenger et al. 2017 JGR
 
-    real t_fnd(size(t_ocean_1)) ! foundation temperature, in K
-    real s_fnd(size(t_ocean_1)) ! foundation salinity, in ppt
+    REAL t_fnd(size(t_ocean_1)) ! foundation temperature, in K
+    REAL s_fnd(size(t_ocean_1)) ! foundation salinity, in ppt
 
     !----------------------------------------------------------------------
@@ -86,5 +86,5 @@
           eta = 2. / (fact * umax)
        elsewhere
-          ! {u > 2. .and. u < umax}
+          ! {u > 2. .AND. u < umax}
           eta = u / (fact * umax)
        end where
@@ -93,5 +93,5 @@
     end where
 
-    if (depth_1 < depth) THEN
+    IF (depth_1 < depth) THEN
        correction = 1. - (depth_1 / depth)**eta
        ! (neglecting microlayer thickness compared to depth_1 and depth)
@@ -115,5 +115,5 @@
     ! Case of stable stratification and negative flux, Bellenger 2017
     ! k0976, equation (15):
-    where (buoyf < 0. .and. drho < 0.)
+    where (buoyf < 0. .AND. drho < 0.)
        buoyf = sqrt(- eta * grav / (5. * depth * rhow) * drho) * usrc**2
     elsewhere (buoyf == 0.)
@@ -129,5 +129,5 @@
 
     ! Lens horizontal spreading:
-    where (drho < 0. .and. ds_ns < 0.) At = At &
+    where (drho < 0. .AND. ds_ns < 0.) At = At &
          - (eta + 1.) * khor * sqrt(depth * grav * abs(drho) / rhow)
 
@@ -141,5 +141,5 @@
 
     ! Lens horizontal spreading:
-    where (drho < 0. .and. ds_ns < 0.) As = As &
+    where (drho < 0. .AND. ds_ns < 0.) As = As &
          - (eta + 1.) * khor * sqrt(depth * grav * abs(drho) / rhow)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/phiw_m.F90	(revision 5117)
@@ -9,9 +9,9 @@
     ! Fonction de stabilit\'e (Monin Obukhov)
 
-    real, intent(in):: zL ! profondeur  / longueur de Monin-Obukhov
+    REAL, INTENT(IN):: zL ! profondeur  / longueur de Monin-Obukhov
 
     !----------------------------------------------
 
-    if (zL < 0.) THEN
+    IF (zL < 0.) THEN
        Phiw = (1. - 16. * zL)**(- 0.5)
     else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/sens_heat_rain_m.F90	(revision 5117)
@@ -6,5 +6,5 @@
 
 #ifdef IN_LMDZ
-  real function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
+  REAL function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
 #else
   elemental real function sens_heat_rain(rain, t, q, rhoa, xlv, t_int, p)
@@ -18,9 +18,9 @@
     ! OpenMP 5.0.
 
-    use const, ONLY: cpa, cpw, rgas
+    USE const, ONLY: cpa, cpw, rgas
 #ifndef IN_LMDZ
-    use const, ONLY: eps_w
+    USE const, ONLY: eps_w
 #endif
-    use esat_m, ONLY: esat
+    USE esat_m, ONLY: esat
 
 #ifdef IN_LMDZ
@@ -29,22 +29,22 @@
 #endif
 
-    real, intent(in):: rain ! rain mass flux, in kg m-2 s-1
-    real, intent(in):: t ! air temperature at 10 m, in K
-    real, intent(in):: q ! specific humidity at 10 m
-    real, intent(in):: rhoa ! density of moist air  (kg / m3)
-    real, intent(in):: xlv ! latent heat of evaporation (J / kg)
-    real, intent(in):: t_int ! interface temperature, in K
-    real, intent(in):: p ! surface pressure, in Pa
+    REAL, INTENT(IN):: rain ! rain mass flux, in kg m-2 s-1
+    REAL, INTENT(IN):: t ! air temperature at 10 m, in K
+    REAL, INTENT(IN):: q ! specific humidity at 10 m
+    REAL, INTENT(IN):: rhoa ! density of moist air  (kg / m3)
+    REAL, INTENT(IN):: xlv ! latent heat of evaporation (J / kg)
+    REAL, INTENT(IN):: t_int ! interface temperature, in K
+    REAL, INTENT(IN):: p ! surface pressure, in Pa
 
     ! Local:
     
-    real es ! saturation pressure of wator vapor, in Pa
-    real alfac ! wet bulb factor
-    real dwat ! water vapour diffusivity
-    real dtmp ! heat diffusivity
-    real q_int ! specific (saturation) humidity at ocean interface
-    real t_celsius ! air temperature at 10 m, in Celsius degrees
+    REAL es ! saturation pressure of wator vapor, in Pa
+    REAL alfac ! wet bulb factor
+    REAL dwat ! water vapour diffusivity
+    REAL dtmp ! heat diffusivity
+    REAL q_int ! specific (saturation) humidity at ocean interface
+    REAL t_celsius ! air temperature at 10 m, in Celsius degrees
 
-    real wetc
+    REAL wetc
     ! derivative of saturated mass fraction of water vapor with
     ! respect to temperature, at constant total pressure
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/therm_expans_m.F90	(revision 5117)
@@ -9,5 +9,5 @@
     ! Compute the thermal expansion coefficient of sea water.
 
-    real, intent(in):: t ! temperature, in K
+    REAL, INTENT(IN):: t ! temperature, in K
 
     !--------------------------------------------------------------
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/coagulate.F90	(revision 5117)
@@ -274,5 +274,5 @@
 !                     =(Vdry(k)*tr_t(ilon,ilev,k)+pdtcoag*num_dry)/( (1.+pdtcoag*denom)*Vdry(k) ) 
 !          with num_dry=...beta(i,j)*Vdry(i)*....
-!       so in old STRATAER (.not.flag_new_strat_compo), it was correct
+!       so in old STRATAER (.NOT.flag_new_strat_compo), it was correct
   ENDIF
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/micphy_tstep.F90	(revision 5117)
@@ -57,5 +57,5 @@
    1.*(7.990811e-4 + 1.*(-7.458060e-4 + 1.*2.58139e-4 )))))
 
-  IF(.not.flag_new_strat_compo) THEN
+  IF(.NOT.flag_new_strat_compo) THEN
      ! STRAACT (R2SO4, t_seri -> H2SO4 activity coefficient (ACTSO4)) for cond/evap
      CALL STRAACT(ACTSO4)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/strataer_emiss_mod.F90	(revision 5117)
@@ -88,5 +88,5 @@
       IF (flag_emit==1) THEN
         CALL getin_p('m_sulf_emiss_vol', m_sulf_emiss_vol)
-        if (ok_qemiss) THEN
+        IF (ok_qemiss) THEN
           CALL getin_p('m_H2O_emiss_vol', m_H2O_emiss_vol)
         endif
@@ -155,5 +155,5 @@
     IF (is_master) THEN
       IF (nErupt > 0) THEN
-        if (flag_emit == 1 .OR. flag_emit == 4) THEN
+        IF (flag_emit == 1 .OR. flag_emit == 4) THEN
           WRITE(lunout, *) 'IN STRATAER nErupt: ', nErupt
           WRITE(lunout, *) 'IN STRATAER injdur: ', injdur
